return Def.ActorFrame{
  Name= "actor_kB",
  LoadActor('../../mawaru_glados_ch0.lua') .. {
    Name= "actor_lB",
    File= "../../mawaru_glados_ch0.lua",
  },
  LoadActor('../../mawaru_glados_ch1.lua') .. {
    Name= "actor_mB",
    File= "../../mawaru_glados_ch1.lua",
  },
  LoadActor('../../mawaru_glados_ch2.lua') .. {
    Name= "actor_nB",
    File= "../../mawaru_glados_ch2.lua",
  },
  LoadActor('../../mawaru_glados_ch3.lua') .. {
    Name= "actor_oB",
    File= "../../mawaru_glados_ch3.lua",
  },
  LoadActor('../../mawaru_glados_ch4.lua') .. {
    Name= "actor_pB",
    File= "../../mawaru_glados_ch4.lua",
  },
  LoadActor('../../mawaru_glados_ch5.lua') .. {
    Name= "actor_qB",
    File= "../../mawaru_glados_ch5.lua",
  },
  Def.Quad{
    Name= "actor_rB",
    OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT;diffuse,color('0,0,0,1')),
  },
  Def.ActorFrame{
    Name= "actor_sB",
    FOV= 150,
    Def.ActorFrame{
      Name= "actor_tB",
      OnCommand= cmd(diffuse,color('.5,.5,.5,1');bob;effectmagnitude,0,20,0;effectperiod,7),
      Def.ActorFrame{
        Name= "actor_uB",
        OnCommand= cmd(bob;effectmagnitude,20,0,0;effectperiod,9),
        Def.ActorFrame{
          Name= "actor_vB",
          OnCommand= cmd(bob;effectmagnitude,0,0,20;effectperiod,6),
          Def.Sprite{
            Name= "actor_wB",--Reverse-Converted x& y pos. -Kid
            OnCommand= cmd(x,320+100;y,240;z,50;customtexturerect,0,0,1,1;texcoordvelocity,-1,0;rotationy,80;fadeleft,0.2),
            Texture= "wall.jpg",
          },
          Def.Sprite{
            Name= "actor_xB",--Reverse-Converted x& y pos. -Kid
            OnCommand= cmd(x,320-100;y,240;z,50;customtexturerect,0,0,1,1;texcoordvelocity,1,0;rotationy,-80;faderight,0.2),
            Texture= "wall.jpg",
          },
          Def.Sprite{
            Name= "actor_yB",--Reverse-Converted x& y pos. -Kid
            OnCommand= cmd(x,320;y,240+100;z,50;customtexturerect,0,0,1,1;texcoordvelocity,0,-1;rotationx,-80;fadetop,0.2),
            Texture= "wall.jpg",
          },
          Def.Sprite{
            Name= "actor_zB",--Reverse-Converted x& y pos. -Kid
            OnCommand= cmd(x,320;y,240-100;z,50;customtexturerect,0,0,1,1;texcoordvelocity,0,1;rotationx,80;fadebottom,0.2),
            Texture= "wall.jpg",
          },
        },
      },
    },
  },
  Def.Quad{
    Name= "actor_AB",
    InitCommand= function(self)
		mawaru_glados_leadin = 4.5;
		mawaru_glados_tweentime = mawaru_glados_leadin*60/200
		mawaru_glados_notes = {{{},{},{},{}},{{},{},{},{}}}
		for i=1,2 do
			for j=1,4 do
				for k=1,3 do
					table.insert(mawaru_glados_notes[i][j],{})
				end
			end
		end
		
		mawaru_glados_ptr = {{{},{},{},{}},{{},{},{},{}}}
		for pn=1,2 do
			for col=1,4 do
				for q=1,3 do
					mawaru_glados_ptr[pn][col][q] = 1
				end
			end
		end
		
		--T H I S   I S   T H E   W O R S T
		function mawaru_glados_spawn(pn,col,beat)
			local q = mawaru_nue_quantize(beat);
			local a = mawaru_glados_notes[pn][col][q][ mawaru_glados_ptr[pn][col][q] ]
			if a then
				a:playcommand('Fire');
			end
			mawaru_glados_ptr[pn][col][q] = mawaru_glados_ptr[pn][col][q]+1
			if mawaru_glados_ptr[pn][col][q] > table.getn(mawaru_glados_notes[pn][col][q]) then
				mawaru_glados_ptr[pn][col][q] = 1;
			end
		end
		
		mawaru_glados_cur = {1,1}
		
	end,
    OnCommand= cmd(visible,false),
    StartCommand= function(self)
	
		for pn=1,2 do
			if not GAMESTATE:IsPlayerEnabled(pn-1) then
				MESSAGEMAN:Broadcast('HideP'..pn);
			end
		end
		
		mawaru_glados_tweentime = (mawaru_glados_leadin*60/200)/RATEMOD
	
		self:sleep(0.02);
		self:queuecommand('Update');
	end,
    UpdateCommand= function(self)
	
		local beat = GAMESTATE:GetSongBeat();
		
		for pn=1,2 do
		
			if GAMESTATE:IsPlayerEnabled(pn-1) then
			
				local chart = _G['mawaru_glados_ch'..mawaru_difficulty[pn] ]
				while mawaru_glados_cur[pn] <= table.getn(chart) and beat > chart[ mawaru_glados_cur[pn] ][1]-mawaru_glados_leadin do
					mawaru_glados_spawn(pn ,chart[mawaru_glados_cur[pn] ][2]+1, chart[mawaru_glados_cur[pn] ][1])
					
					mawaru_glados_cur[pn] = mawaru_glados_cur[pn]+1;
				end
				
			end
			
		end
	
		if mawaru_curgame == 12 then
			self:sleep(0.02);
			self:queuecommand('Update');
		end
	end,
  },
  Def.ActorFrame{
    Name= "actor_BB",
    FOV= 80,
    Def.Sprite{
      Name= "actor_CB",
      Frames= {
        {Frame= 0, Delay= 0.04},
        {Frame= 1, Delay= 0.04},
        {Frame= 2, Delay= 0.04},
        {Frame= 3, Delay= 0.04},
    },--Unconverted x & y pos. -Kid
      OnCommand= cmd(x,320;y,210+240;zoom,4;rainbow),
      Texture= "./portal 4x1.png",
    },
    Def.ActorFrame{
      Name= "actor_DB",
      FOV= 80,
      HideP1MessageCommand= cmd(visible,false),
      StartCommand= cmd(x,200;y,240;z,-60;--Unconverted x & y pos. -Kid
				accelerate,1.2;rotationy,3;
				decelerate,1.2;rotationy,6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,-6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,-6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,6;
				accelerate,2.4;rotationy,0),
      Def.ActorFrame{
        Name= "actor_EB",
      },
      --For all P1 parts, Reverse-converted x & y pos. -Kid
      --Left column
      Def.ActorFrame{
        Name= "actor_FB",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][1],self) end,
        Def.Model{
          Name= "actor_aC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_bC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][1],self) end,
        Def.Model{
          Name= "actor_cC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_dC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][1],self) end,
        Def.Model{
          Name= "actor_eC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_fC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][1],self) end,
        Def.Model{
          Name= "actor_gC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_hC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][2],self) end,
        Def.Model{
          Name= "actor_iC",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_jC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][2],self) end,
        Def.Model{
          Name= "actor_kC",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_lC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][2],self) end,
        Def.Model{
          Name= "actor_mC",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_nC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][2],self) end,
        Def.Model{
          Name= "actor_oC",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_pC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][3],self) end,
        Def.Model{
          Name= "actor_qC",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_rC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][3],self) end,
        Def.Model{
          Name= "actor_sC",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_tC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][3],self) end,
        Def.Model{
          Name= "actor_uC",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_vC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][1][3],self) end,
        Def.Model{
          Name= "actor_wC",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      --Down column
      Def.ActorFrame{
        Name= "actor_xC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][1],self) end,
        Def.Model{
          Name= "actor_yC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_zC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][1],self) end,
        Def.Model{
          Name= "actor_AC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_BC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][1],self) end,
        Def.Model{
          Name= "actor_CC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_DC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][1],self) end,
        Def.Model{
          Name= "actor_EC",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_FC",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][2],self) end,
        Def.Model{
          Name= "actor_aD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_bD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][2],self) end,
        Def.Model{
          Name= "actor_cD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_dD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][2],self) end,
        Def.Model{
          Name= "actor_eD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_fD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][2],self) end,
        Def.Model{
          Name= "actor_gD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_hD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][3],self) end,
        Def.Model{
          Name= "actor_iD",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_jD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][3],self) end,
        Def.Model{
          Name= "actor_kD",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_lD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][3],self) end,
        Def.Model{
          Name= "actor_mD",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_nD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][2][3],self) end,
        Def.Model{
          Name= "actor_oD",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      --Up column
      Def.ActorFrame{
        Name= "actor_pD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][1],self) end,
        Def.Model{
          Name= "actor_qD",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_rD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][1],self) end,
        Def.Model{
          Name= "actor_sD",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_tD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][1],self) end,
        Def.Model{
          Name= "actor_uD",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_vD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][1],self) end,
        Def.Model{
          Name= "actor_wD",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_xD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][2],self) end,
        Def.Model{
          Name= "actor_yD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_zD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][2],self) end,
        Def.Model{
          Name= "actor_AD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_BD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][2],self) end,
        Def.Model{
          Name= "actor_CD",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_DD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][2],self) end,
        Def.Model{
          Name= "actor_ED",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_FD",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][3],self) end,
        Def.Model{
          Name= "actor_aE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_bE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][3],self) end,
        Def.Model{
          Name= "actor_cE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_dE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][3],self) end,
        Def.Model{
          Name= "actor_eE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_fE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][3][3],self) end,
        Def.Model{
          Name= "actor_gE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      --Right column
      Def.ActorFrame{
        Name= "actor_hE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][1],self) end,
        Def.Model{
          Name= "actor_iE",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_jE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][1],self) end,
        Def.Model{
          Name= "actor_kE",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_lE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][1],self) end,
        Def.Model{
          Name= "actor_mE",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_nE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][1],self) end,
        Def.Model{
          Name= "actor_oE",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_pE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][2],self) end,
        Def.Model{
          Name= "actor_qE",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_rE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][2],self) end,
        Def.Model{
          Name= "actor_sE",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_tE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][2],self) end,
        Def.Model{
          Name= "actor_uE",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_vE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][2],self) end,
        Def.Model{
          Name= "actor_wE",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_xE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][3],self) end,
        Def.Model{
          Name= "actor_yE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_zE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][3],self) end,
        Def.Model{
          Name= "actor_AE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_BE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][3],self) end,
        Def.Model{
          Name= "actor_CE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_DE",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[1][4][3],self) end,
        Def.Model{
          Name= "actor_EE",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_FE",
        OnCommand= cmd(),
        Def.Model{
          Name= "actor_aF",
          Bones= "pad/platform bones.txt",
          Materials= "pad/platform materials.txt",
          Meshes= "pad/platform meshes.txt",
          OnCommand= cmd(x,0;y,0-10;rotationy,0;rotationx,30;zoom,1.5;z,-150),
        },
      },
    },
    Def.ActorFrame{
      Name= "actor_bF",
      FOV= 80,
      HideP2MessageCommand= cmd(visible,false),--Unconverted x & y pos. -Kid
      StartCommand= cmd(x,440;y,240;z,-60;
				accelerate,1.2;rotationy,3;
				decelerate,1.2;rotationy,6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,-6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,-6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,6;
				accelerate,2.4;rotationy,0),
      Def.ActorFrame{
        Name= "actor_cF",
      },
    --For all P2 parts, Reverse-converted x & y pos. -Kid
    --Left column.
      Def.ActorFrame{
        Name= "actor_dF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][1],self) end,
        Def.Model{
          Name= "actor_eF",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_fF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][1],self) end,
        Def.Model{
          Name= "actor_gF",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_hF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][1],self) end,
        Def.Model{
          Name= "actor_iF",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_jF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][1],self) end,
        Def.Model{
          Name= "actor_kF",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_lF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][2],self) end,
        Def.Model{
          Name= "actor_mF",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_nF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][2],self) end,
        Def.Model{
          Name= "actor_oF",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_pF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][2],self) end,
        Def.Model{
          Name= "actor_qF",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_rF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][2],self) end,
        Def.Model{
          Name= "actor_sF",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_tF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][3],self) end,
        Def.Model{
          Name= "actor_uF",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_vF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][3],self) end,
        Def.Model{
          Name= "actor_wF",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_xF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][3],self) end,
        Def.Model{
          Name= "actor_yF",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_zF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0-75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][1][3],self) end,
        Def.Model{
          Name= "actor_AF",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,80;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      --Down column
      Def.ActorFrame{
        Name= "actor_BF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][1],self) end,
        Def.Model{
          Name= "actor_CF",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_DF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][1],self) end,
        Def.Model{
          Name= "actor_EF",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_FF",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][1],self) end,
        Def.Model{
          Name= "actor_aab",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_bab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][1],self) end,
        Def.Model{
          Name= "actor_cab",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_dab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][2],self) end,
        Def.Model{
          Name= "actor_eab",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_fab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][2],self) end,
        Def.Model{
          Name= "actor_gab",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_hab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][2],self) end,
        Def.Model{
          Name= "actor_iab",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_jab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][2],self) end,
        Def.Model{
          Name= "actor_kab",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_lab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][3],self) end,
        Def.Model{
          Name= "actor_mab",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_nab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][3],self) end,
        Def.Model{
          Name= "actor_oab",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_pab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][3],self) end,
        Def.Model{
          Name= "actor_qab",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_rab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,-128),
        OnCommand= cmd(x,0;y,0+210;z,100;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][2][3],self) end,
        Def.Model{
          Name= "actor_sab",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,0;z,255;addx,-30;linear,mawaru_glados_tweentime-0.1;rotationx,80;addx,30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      --Up column
      Def.ActorFrame{
        Name= "actor_tab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][1],self) end,
        Def.Model{
          Name= "actor_uab",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_vab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][1],self) end,
        Def.Model{
          Name= "actor_wab",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_xab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][1],self) end,
        Def.Model{
          Name= "actor_yab",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_zab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][1],self) end,
        Def.Model{
          Name= "actor_Aab",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_Bab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][2],self) end,
        Def.Model{
          Name= "actor_Cab",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_Dab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][2],self) end,
        Def.Model{
          Name= "actor_Eab",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_Fab",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][2],self) end,
        Def.Model{
          Name= "actor_abb",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_bbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][2],self) end,
        Def.Model{
          Name= "actor_cbb",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_dbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][3],self) end,
        Def.Model{
          Name= "actor_ebb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_fbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][3],self) end,
        Def.Model{
          Name= "actor_gbb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_hbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][3],self) end,
        Def.Model{
          Name= "actor_ibb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_jbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,15;linear,mawaru_glados_tweentime-0.1;rotationx,-103),
        OnCommand= cmd(x,0;y,0+210;z,-75;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][3][3],self) end,
        Def.Model{
          Name= "actor_kbb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,180;z,265;addx,30;linear,mawaru_glados_tweentime-0.1;rotationx,50;addx,-30;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      --Right column
      Def.ActorFrame{
        Name= "actor_lbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][1],self) end,
        Def.Model{
          Name= "actor_mbb",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_nbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][1],self) end,
        Def.Model{
          Name= "actor_obb",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_pbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][1],self) end,
        Def.Model{
          Name= "actor_qbb",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_rbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][1],self) end,
        Def.Model{
          Name= "actor_sbb",
          Bones= "4th/4arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "4th/4th.txt",
          Meshes= "4th/4arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_tbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][2],self) end,
        Def.Model{
          Name= "actor_ubb",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_vbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][2],self) end,
        Def.Model{
          Name= "actor_wbb",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_xbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][2],self) end,
        Def.Model{
          Name= "actor_ybb",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_zbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][2],self) end,
        Def.Model{
          Name= "actor_Abb",
          Bones= "8th/8arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "8th/8th.txt",
          Meshes= "8th/8arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_Bbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][3],self) end,
        Def.Model{
          Name= "actor_Cbb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_Dbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][3],self) end,
        Def.Model{
          Name= "actor_Ebb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_Fbb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][3],self) end,
        Def.Model{
          Name= "actor_acb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_bcb",
        FireCommand= cmd(finishtweening;playcommand,"FireI";rotationx,-20;linear,mawaru_glados_tweentime-0.1;rotationx,-110),
        OnCommand= cmd(x,0+75;y,0+210;sleep,0.02;queuecommand,"SetMe"),
        SetMeCommand= function(self) table.insert(mawaru_glados_notes[2][4][3],self) end,
        Def.Model{
          Name= "actor_ccb",
          Bones= "16th/16arrowmesh.txt",
          FireICommand= cmd(zoom,1;rotationz,-90;z,255;linear,mawaru_glados_tweentime-0.1;rotationx,90;sleep,0;linear,0.1;zoom,0;sleep,0;rotationx,0),
          Materials= "16th/16th.txt",
          Meshes= "16th/16arrowmesh.txt",
          OnCommand= cmd(zoom,0),
        },
      },
      Def.ActorFrame{
        Name= "actor_dcb",
      },
      Def.ActorFrame{
        Name= "actor_ecb",
        OnCommand= cmd(),
        Def.Model{
          Name= "actor_fcb",
          Bones= "pad/platform bones.txt",
          Materials= "pad/platform materials.txt",
          Meshes= "pad/platform meshes.txt",
          OnCommand= cmd(x,0;y,0-10;rotationy,0;rotationx,30;zoom,1.5;z,-150),
        },
      },
    },
    Def.Sprite{
      Name= "actor_gcb",
      Frames= {
        {Frame= 0, Delay= 0.04},
        {Frame= 1, Delay= 0.04},
        {Frame= 2, Delay= 0.04},
        {Frame= 3, Delay= 0.04},
    },
      OnCommand= cmd(x,320;y,210+240;zoom,4;croptop,0.4;fadetop,0.1;rainbow),
      Texture= "./portal 4x1.png",
    },
  },
}
